## org.biojava.bio.seq
Interface RealizingFeatureHolder

All Known Implementing Classes:
  SimpleSequence, ViewSequence

public interface RealizingFeatureHolder
extends FeatureHolder

Interface for `FeatureHolder` objects which know how to instantiate new child Features. This interface should not be needed in normal client programs, since they will use the `createFeature` method of `FeatureHolder` to add new features. However, this method exposes the feature realization infrastructure to child features.

Author:
  Thomas Down

Inner classes inherited from class org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER`

Method Summary
`Feature` `realizeFeature(FeatureHolder parent, Feature.Template template)` Realize a feature template.

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`countFeatures, createFeature, features, filter, removeFeature`

Method Detail

### realizeFeature

    public Feature realizeFeature(FeatureHolder parent,
                                  Feature.Template template)
                           throws BioException

  Realize a feature template. This will be a template which has been passed to the `createFeature` method of either this `FeatureHolder` or one of our child Features.